# Retrieve an event.

Endpoint: GET /events/{eventId}
Version: v3
Security: oauth2

## Security:

  - `oauth2` (unknown)
    oauth2

## Path parameters:

  - `eventId` (string, required)
    Id of the event.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (text/plain):

  - `id` (string)

  - `name` (null | string, required)

  - `description` (null | string)

  - `startTime` (string, required)

  - `endTime` (null | string)

  - `eventTypeId` (integer, required)

  - `type` (integer)

  - `subTypeId` (null | integer)

  - `category` (null | integer)

  - `eventSourceId` (null | string)

  - `externalId` (null | string)

  - `payload` (null | string, required)

  - `payloadVersion` (null | string, required)

  - `scalarValue` (null | number)

  - `twinId` (null | string, required)

  - `locations` (null | string)

  - `createdDate` (string, required)

  - `lastModifiedDate` (string, required)

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (text/plain):

  - `type` (null | string)

  - `title` (null | string)

  - `status` (null | integer)

  - `detail` (null | string)

  - `instance` (null | string)

